import type { ApiLanguageServiceContext } from '../types';
import type { Position } from 'vscode-languageserver/node';
import type { WorkspaceEdit } from 'vscode-languageserver/node';
import { ResponseError } from 'vscode-languageserver/node';
import { TsMappingData } from '../utils/sourceMaps';
export declare function register({ mapper, getCssLs }: ApiLanguageServiceContext): {
    prepareRename: (uri: string, position: Position) => import("vscode-languageserver/node").Range | ResponseError<void> | undefined;
    doRename: (uri: string, position: Position, newName: string) => WorkspaceEdit | undefined;
    onRenameFile: (oldUri: string, newUri: string) => WorkspaceEdit | undefined;
};
export declare function margeWorkspaceEdits(original: WorkspaceEdit, ...others: WorkspaceEdit[]): void;
export declare function tsEditToVueEdit(tsResult: WorkspaceEdit, mapper: ApiLanguageServiceContext['mapper'], isValidRange: (data?: TsMappingData) => boolean): WorkspaceEdit | undefined;
