import type * as ts from 'typescript';
import type { TextDocument } from 'vscode-css-languageservice';
export declare function getDummyTsLs(ts: typeof import('typescript/lib/tsserverlibrary'), doc: TextDocument): {
    ls: {
        findDefinition: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").LocationLink[];
        findTypeDefinition: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").LocationLink[];
        findReferences: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").Location[];
        prepareRename: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").Range | import("vscode-jsonrpc").ResponseError<void> | undefined;
        doRename: (uri: string, position: import("vscode-languageserver-protocol").Position, newName: string) => import("vscode-languageserver-protocol").WorkspaceEdit | undefined;
        getEditsForFileRename: (oldUri: string, newUri: string) => import("vscode-languageserver-protocol").WorkspaceEdit | undefined;
        getCodeActions: (uri: string, range: import("vscode-languageserver-protocol").Range, context: import("vscode-languageserver-protocol").CodeActionContext) => import("vscode-languageserver-protocol").CodeAction[] | undefined;
        doCodeActionResolve: (codeAction: import("vscode-languageserver-protocol").CodeAction) => import("vscode-languageserver-protocol").CodeAction;
        findDocumentHighlights: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").DocumentHighlight[];
        findDocumentSymbols: (uri: string) => import("vscode-languageserver-protocol").DocumentSymbol[];
        findWorkspaceSymbols: (uri: string) => import("vscode-languageserver-protocol").SymbolInformation[];
        doComplete: (uri: string, position: import("vscode-languageserver-protocol").Position, options?: ts.GetCompletionsAtPositionOptions | undefined) => import("vscode-languageserver-protocol").CompletionItem[];
        doCompletionResolve: (item: import("vscode-languageserver-protocol").CompletionItem, newOffset?: number | undefined) => import("vscode-languageserver-protocol").CompletionItem;
        doHover: (uri: string, position: import("vscode-languageserver-protocol").Position, documentOnly?: boolean | undefined) => import("vscode-languageserver-protocol").Hover | undefined;
        doFormatting: (uri: string, options: import("vscode-languageserver-protocol").FormattingOptions, range?: import("vscode-languageserver-protocol").Range | undefined) => import("vscode-languageserver-protocol").TextEdit[];
        getSignatureHelp: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").SignatureHelp | undefined;
        getSelectionRange: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").SelectionRange | undefined;
        doValidation: (uri: string, options: {
            semantic?: boolean | undefined;
            syntactic?: boolean | undefined;
            suggestion?: boolean | undefined;
            declaration?: boolean | undefined;
        }, cancellationToken?: ts.CancellationToken | undefined) => import("vscode-languageserver-protocol").Diagnostic[];
        getFoldingRanges: (uri: string) => import("vscode-languageserver-protocol").FoldingRange[];
        getDocumentSemanticTokens: (uri: string, range: import("vscode-languageserver-protocol").Range, cancle?: import("vscode-jsonrpc").CancellationToken | undefined) => [number, number, number, number, number][] | undefined;
        callHierarchy: {
            doPrepare: (uri: string, position: import("vscode-languageserver-protocol").Position) => import("vscode-languageserver-protocol").CallHierarchyItem[];
            getIncomingCalls: (item: import("vscode-languageserver-protocol").CallHierarchyItem) => import("vscode-languageserver-protocol").CallHierarchyIncomingCall[];
            getOutgoingCalls: (item: import("vscode-languageserver-protocol").CallHierarchyItem) => import("vscode-languageserver-protocol").CallHierarchyOutgoingCall[];
        };
        dispose: () => void;
        __internal__: {
            raw: import("typescript/lib/tsserverlibrary").LanguageService;
            host: {
                getImportSuggestionsCache: () => any;
                getCompilationSettings(): ts.CompilerOptions;
                getNewLine?(): string;
                getProjectVersion?(): string;
                getScriptFileNames(): string[];
                getScriptKind?(fileName: string): ts.ScriptKind;
                getScriptVersion(fileName: string): string;
                getScriptSnapshot(fileName: string): ts.IScriptSnapshot | undefined;
                getProjectReferences?(): readonly ts.ProjectReference[] | undefined;
                getLocalizedDiagnosticMessages?(): any;
                getCancellationToken?(): ts.HostCancellationToken;
                getCurrentDirectory(): string;
                getDefaultLibFileName(options: ts.CompilerOptions): string;
                log?(s: string): void;
                trace?(s: string): void;
                error?(s: string): void;
                useCaseSensitiveFileNames?(): boolean;
                readDirectory?(path: string, extensions?: readonly string[] | undefined, exclude?: readonly string[] | undefined, include?: readonly string[] | undefined, depth?: number | undefined): string[];
                readFile?(path: string, encoding?: string | undefined): string | undefined;
                realpath?(path: string): string;
                fileExists?(path: string): boolean;
                getTypeRootsVersion?(): number;
                resolveModuleNames?(moduleNames: string[], containingFile: string, reusedNames: string[] | undefined, redirectedReference: ts.ResolvedProjectReference | undefined, options: ts.CompilerOptions): (ts.ResolvedModule | undefined)[];
                getResolvedModuleWithFailedLookupLocationsFromCache?(modulename: string, containingFile: string): ts.ResolvedModuleWithFailedLookupLocations | undefined;
                resolveTypeReferenceDirectives?(typeDirectiveNames: string[], containingFile: string, redirectedReference: ts.ResolvedProjectReference | undefined, options: ts.CompilerOptions): (ts.ResolvedTypeReferenceDirective | undefined)[];
                getDirectories?(directoryName: string): string[];
                getCustomTransformers?(): ts.CustomTransformers | undefined;
                isKnownTypesPackageName?(name: string): boolean;
                installPackage?(options: ts.InstallPackageOptions): Promise<ts.ApplyCodeActionCommandResult>;
                writeFile?(fileName: string, content: string): void;
                getParsedCommandLine?(fileName: string): ts.ParsedCommandLine | undefined;
                directoryExists?(directoryName: string): boolean;
            };
            getTextDocument: (uri: string) => TextDocument | undefined;
            getTextDocument2: (uri: string) => TextDocument | undefined;
        };
    };
    uri: string;
};
